OVERLAY-DISKFILE(8)

NAME
overlay-diskfile - Support for using diskfile filesystem.

SYNOPSIS

overlay-diskfile mount/path [ diskfile [ index ] ]

DESCRIPTION

overlay-diskfile is a support script for pre-mounting a diskfile to provide the LOWER or UPPER filesystem for a subhost. It is typically used in the subhost configuration to be invoked as part of determining the filesystem path.

OPTIONS

no options.

EXAMPLES

Example 1. Use a whole diskfile filesystem as LOWER

        LOWER=!overlay-diskfile mnt/ disk.img

The above mounts the disk.img filesystem onto mnt and provides that as the LOWER filesystem.

Example 2. Use a diskfile partition 2 as LOWER

        LOWER=!overlay-diskfile mnt/ disk.img 2

The above mounts the second partition onto mnt and provides that as the LOWER filesystem.

Example 3. Use a subtree of a diskfile partition 2 as LOWER

        LOWER=!overlay-diskfile mnt/some/path disk.img 2

The above mounts the second partition onto mnt and provides the path mnt/some/path that as the LOWER filesystem.

Example 4. Use second partition diskfile filesystem subtrees for UPPER and WORK.

        UPPER=!overlay-diskfile mnt/some/upper/path disk.img 2
        WORK= mnt/some/work/path

The above mounts the second partition of disk.img and uses mnt/some/upper/path as UPPER and mnt/some/work/path as WORK. Note that UPPER and WORK must always be subtrees from the same filesystem.

SEE ALSO

overlay-boot, overlay-stop